# gds-option

**Class**: `GdsOption`

**Tag**: `<gds-option>`


## Properties

| Name | Type | Default | Description |
|------|------|---------|-------------|
| `value` | `any` | `-` | The value of the option. |
| `hidden` | `boolean` | `-` | Controls whether the option is visible or not. |
| `selected` | `boolean` | `-` | Returns true if the option is selected. Setting this property will select or unselect the option. |
| `isPlaceholder` | `boolean` | `-` | Sets this option as a placeholder. A placehodler option does not have a value and will act as the default option.  In a multiple select listbox, placeholder options will not be rendered in the list. |


## Events

| Name | Type | Description |
|------|------|-------------|
| `gds-select` | `CustomEvent<any>` | Fired when the option is selected. |


## Slots

| Name | Description |
|------|-------------|
| `(default)` | The default slot. Custom content can be used to display the option. |
